NX Open C++ Reference Guide
|
Represents a Spot Weld feature <br> To create a new instance of this class, use @link Weld::WeldManager::CreateWeldPointBuilder Weld::WeldManager::CreateWeldPointBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | CalculateDatumMeasurementDefaultDirection () |
Calculate location and default direction of datum and measurement, need to set the current point prior to calling this method Created in NX7.5.5. | |
void | CalculateWeldPoints (std::vector< NXOpen::Point3d > &points) |
To calculate all weld points Created in NX6.0.0. | |
void | ClearFaceSets () |
The clear for all existed facesets Created in NX6.0.0. | |
void | CommitFaceSets () |
Created in NX6.0.0. | |
void | CommitReferenceSheets (NXOpen::Weld::WeldOverlapStatus createStatus) |
The commit for reference sheets Created in NX6.0.0. | |
void | CommitSection (NXOpen::Section *path) |
Commit created section Created in NX6.0.0. | |
bool | ConnectingOnlyOnePart () |
Returns Created in NX6.0.0. | |
NXOpen::Section * | CreateCenterLine () |
To create center line. | |
NXOpen::Section * | CreateOffsetCurve () |
Create offset curve. | |
NXOpen::Section * | CreateSectionPlaneCurves () |
Create section curve. | |
void | CreateSingleWeldPoint (const NXOpen::Point3d &pointCoord) |
The creation for single weld point Created in NX6.0.0. | |
NXOpen::Weld::WeldCreationDirection | CreationDirection () |
Returns the creation direction type. | |
bool | CsysAssemblyState () |
Returns the assy coordinate system state Created in NX6.0.0. | |
bool | CsysWorkPartState () |
Returns the work coordinate systemstate Created in NX6.0.0. | |
double | CustomCylinderAbove () |
Returns the distance the custom cylinder should be created above the weld point Created in NX6.0.0. | |
double | CustomRadius () |
Returns the radius to create the sphere, cylinder, or cone with Created in NX6.0.0. | |
double | CustomTotalCylinderLength () |
Returns the total length of the cylinder to be created. | |
NXOpen::Weld::WeldDatumControlDirection | DatumFirstReferenceDirection () |
Returns the datum reference direction type. | |
NXOpen::Weld::WeldDatumControlDirection | DatumMajorDirection () |
Returns the datum major direction type. | |
NXOpen::Weld::WeldDatumControlDirection | DatumSecondReferenceDirection () |
Returns the datum reference direction type. | |
double | DistanceTolerance () |
Returns the distance tolerance for the weld point Created in NX6.0.0. | |
NXString | EndDistance () |
Returns the end dist Created in NX6.0.0. | |
NXOpen::Weld::WeldParasetLocation | EndDistanceLocation () |
Returns the end dist location Created in NX6.0.0. | |
NXOpen::Weld::WeldPointExtendMethod | ExtendMethod () |
Returns the offset curve extend method. | |
void | FlipZAxis () |
Flip the z axis Created in NX6.0.0. | |
void | GetCsys (NXOpen::Point3d *origin, NXOpen::Matrix3x3 *matrix) |
Get coordinate system for point Created in NX8.0.0. | |
int | GetCurrentReferenceSheet () |
The current refsheet. | |
void | GetFaceSet (int facesetIndex, std::vector< NXOpen::DisplayableObject * > &objects, std::vector< NXOpen::Features::Feature * > &frecs) |
Gets the user selected faces for the indicated face set Created in NX6.0.0. | |
NXOpen::Section * | GetFirstSection () |
Get the first section. | |
void | GetMirrorTranslateReferenceObjects (std::vector< NXOpen::DisplayableObject * > &objects) |
Get mirror translate reference objects Created in NX8.0.0. | |
int | GetNumFaceSets () |
Get the amount of face sets. | |
NXOpen::Features::Feature * | GetReferenceSheets () |
The refernence sheet feature. | |
NXOpen::Section * | GetSecondSection () |
Get the second section. | |
NXOpen::Weld::WeldPointLocation | Location () |
Returns the processing method to use for generating weld points along reference section(s) Created in NX6.0.0. | |
double | MeasurementDefaultHeight () |
Returns the default height of the object for measurement to be created. | |
double | MeasurementDefaultWidth () |
Returns the default width of the object for measurement to be created. | |
double | MeasurementHoleSize () |
Returns the hole_size of the object for measurement to be created. | |
double | MeasurementSlotLength () |
Returns the slot height of the object for measurement to be created. | |
double | MeasurementSlotWidth () |
Returns the slot width of the object for measurement to be created. | |
double | MeasurementStudSize () |
Returns the stud size of the object for measurement to be created. | |
bool | MirrorByType () |
Returns the mirror by type Created in NX6.0.0. | |
NXOpen::Plane * | MirrorPlane () |
Returns the plane that a point is to be mirrored about. | |
void | MovePoint (const NXOpen::Point3d &origin) |
Move selected points Created in NX6.0.0. | |
int | NumberConnectedPanels () |
Returns the num connected panels. | |
NXString | OffsetDistance () |
Returns the offset distance from edges in guide_collector1 to place weld points Created in NX6.0.0. | |
NXOpen::Weld::OutputType | OutputType () |
Returns the output type. | |
NXOpen::Weld::WeldPointMethod | PointMethod () |
Returns the method for creating weld points. | |
double | PointsGuideDistance () |
Returns the distance percentage from the start of the curve where the weld point should be. | |
NXOpen::Vector3d | ProjectDirection () |
Returns the project direction Created in NX6.0.0. | |
NXOpen::Direction * | ProjectDirectionObject () |
Returns the project direction NXOpen object Created in NX6.0.0. | |
NXOpen::Weld::WeldProjectionMethod | ProjectionMethod () |
Returns the project method type. | |
void | ProjectPoints () |
Project selected points along the specified vector to reference sheets Created in NX8.0.0. | |
NXOpen::Weld::WeldPointSpacingMethod | ReferenceSheetSpacingMethod () |
Returns the refsheet spacing method Created in NX6.0.0. | |
NXOpen::Weld::WeldPointReferenceSheetType | ReferenceSheetType () |
Returns the type of sheet to create to place weld points on. | |
void | RemoveCharacteristics (const NXString &attrTitle, NXOpen::Weld::WeldAttribType attrType, const NXString &attrValue) |
Remove characteristics for selected points, need to set the current point prior to calling this method Created in NX7.5.5. | |
void | RemoveCharacteristics (const char *attrTitle, NXOpen::Weld::WeldAttribType attrType, const char *attrValue) |
Remove characteristics for selected points, need to set the current point prior to calling this method Created in NX7.5.5. | |
void | RemoveWeldPoint () |
Remove the current selected point, need to set the current point prior to calling this method Created in NX7.5.5. | |
NXOpen::Plane * | SectionPlaneEntity () |
Returns Created in NX6.0.0. | |
int | SequenceNumber () |
Returns the sequence number for the weld point feature. | |
void | SetCharacteristics (const NXString &attrTitle, NXOpen::Weld::WeldAttribType attrType, const NXString &attrValue) |
Set or edit characteristics for selected points Created in NX6.0.0. | |
void | SetCharacteristics (const char *attrTitle, NXOpen::Weld::WeldAttribType attrType, const char *attrValue) |
Set or edit characteristics for selected points Created in NX6.0.0. | |
void | SetConnectingOnlyOnePart (bool connectingOnlyOnePart) |
Sets Created in NX6.0.0. | |
void | SetCreationDirection (NXOpen::Weld::WeldCreationDirection creationDirection) |
Sets the creation direction type. | |
void | SetCsysAssemblyState (bool assyCsysState) |
Sets the assy coordinate system state Created in NX6.0.0. | |
void | SetCsysWorkPartState (bool workCsysState) |
Sets the work coordinate systemstate Created in NX6.0.0. | |
void | SetCurrentReferenceSheet (int currentRefSheet) |
Set current refsheet Created in NX6.0.0. | |
void | SetCustomCylinderAbove (double customCylinderAbove) |
Sets the distance the custom cylinder should be created above the weld point Created in NX6.0.0. | |
void | SetCustomRadius (double customRadius) |
Sets the radius to create the sphere, cylinder, or cone with Created in NX6.0.0. | |
void | SetCustomTotalCylinderLength (double totalCylinderLength) |
Sets the total length of the cylinder to be created. | |
void | SetDatumFirstReferenceDirection (NXOpen::Weld::WeldDatumControlDirection datumRefDir) |
Sets the datum reference direction type. | |
void | SetDatumMajorDirection (NXOpen::Weld::WeldDatumControlDirection datumMajorDir) |
Sets the datum major direction type. | |
void | SetDatumSecondReferenceDirection (NXOpen::Weld::WeldDatumControlDirection datumRefDir) |
Sets the datum reference direction type. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance for the weld point Created in NX6.0.0. | |
void | SetEndDistance (const NXString &endDistStr) |
Sets the end dist Created in NX6.0.0. | |
void | SetEndDistance (const char *endDistStr) |
Sets the end dist Created in NX6.0.0. | |
void | SetEndDistanceLocation (NXOpen::Weld::WeldParasetLocation endDistLocation) |
Sets the end dist location Created in NX6.0.0. | |
void | SetExtendMethod (NXOpen::Weld::WeldPointExtendMethod extendMethod) |
Sets the offset curve extend method. | |
void | SetFaceSet (NXOpen::Weld::WeldFacesetIndex facesetIndex, const std::vector< NXOpen::DisplayableObject * > &objects) |
Sets the user selected faces for the indicated face set Created in NX6.0.0. | |
void | SetFirstSection (NXOpen::Section *section) |
The commit for first section Created in NX6.0.0. | |
void | SetLocation (NXOpen::Weld::WeldPointLocation location) |
Sets the processing method to use for generating weld points along reference section(s) Created in NX6.0.0. | |
void | SetMeasurementDefaultHeight (double measurementDefaultHeight) |
Sets the default height of the object for measurement to be created. | |
void | SetMeasurementDefaultWidth (double measurementDefaultWidth) |
Sets the default width of the object for measurement to be created. | |
void | SetMeasurementHoleSize (double holeSize) |
Sets the hole_size of the object for measurement to be created. | |
void | SetMeasurementSlotLength (double slotLength) |
Sets the slot height of the object for measurement to be created. | |
void | SetMeasurementSlotWidth (double slotWidth) |
Sets the slot width of the object for measurement to be created. | |
void | SetMeasurementStudSize (double studSize) |
Sets the stud size of the object for measurement to be created. | |
void | SetMirrorByType (bool mirrorByType) |
Sets the mirror by type Created in NX6.0.0. | |
void | SetMirrorPlane (NXOpen::Plane *mirrorPlane) |
Sets the plane that a point is to be mirrored about. | |
void | SetMirrorTranslateReferenceObjects (const std::vector< NXOpen::TaggedObject * > &refs) |
Add or remove mirror translate reference objects Created in NX7.5.5. | |
void | SetNumberConnectedPanels (int numConnectedPanels) |
Sets the num connected panels. | |
void | SetOffsetDistance (const NXString &offsetDistance) |
Sets the offset distance from edges in guide_collector1 to place weld points Created in NX6.0.0. | |
void | SetOffsetDistance (const char *offsetDistance) |
Sets the offset distance from edges in guide_collector1 to place weld points Created in NX6.0.0. | |
void | SetOutputType (NXOpen::Weld::OutputType outputType) |
Sets the output type. | |
void | SetPoint (int index) |
Set the selected point Created in NX6.0.0. | |
void | SetPointMethod (NXOpen::Weld::WeldPointMethod ptMethod) |
Sets the method for creating weld points. | |
void | SetPointsGuideDistance (double pointsGuideDist) |
Sets the distance percentage from the start of the curve where the weld point should be. | |
void | SetProjectDirection (const NXOpen::Vector3d &direction) |
Sets the project direction Created in NX6.0.0. | |
void | SetProjectDirectionObject (NXOpen::Direction *direction) |
Sets the project direction NXOpen object Created in NX6.0.0. | |
void | SetProjectionMethod (NXOpen::Weld::WeldProjectionMethod projMethod) |
Sets the project method type. | |
void | SetReferenceSheetSpacingMethod (NXOpen::Weld::WeldPointSpacingMethod spacingMethod) |
Sets the refsheet spacing method Created in NX6.0.0. | |
void | SetReferenceSheetType (NXOpen::Weld::WeldPointReferenceSheetType refSheetType) |
Sets the type of sheet to create to place weld points on. | |
void | SetSecondSection (NXOpen::Section *section) |
Create second section Created in NX6.0.0. | |
void | SetSectionPlaneEntity (NXOpen::Plane *plane) |
Sets Created in NX6.0.0. | |
void | SetSelectionType (NXOpen::Weld::WeldSelectionType selectionType) |
Set the selection type Created in NX6.0.0. | |
void | SetSequenceNumber (int sequenceNumber) |
Sets the sequence number for the weld point feature. | |
void | SetShowThroughAssemblyState (bool thruAssyState) |
Sets the through assy coordinate system state Created in NX6.0.0. | |
void | SetShowThroughWorkPartState (bool thruWorkState) |
Sets the through work coordinate system state Created in NX6.0.0. | |
void | SetSizeMethod (NXOpen::Weld::WeldMeasurementSizeMethod sizeMethod) |
Sets the measurement size method. | |
void | SetSolidType (NXOpen::Weld::WeldCustom solidType) |
Sets the output solid type. | |
void | SetSpacingCalculateMethod (NXOpen::Weld::WeldSpacingCalcMethod spacingCalcMethod) |
Sets the project method type. | |
void | SetSpacingNumber (const NXString &spacingOrNumberStr) |
Sets the spacing number Created in NX6.0.0. | |
void | SetSpacingNumber (const char *spacingOrNumberStr) |
Sets the spacing number Created in NX6.0.0. | |
void | SetStartDistance (const NXString &startDistStr) |
Sets the start dist Created in NX6.0.0. | |
void | SetStartDistance (const char *startDistStr) |
Sets the start dist Created in NX6.0.0. | |
void | SetStartDistanceLocation (NXOpen::Weld::WeldParasetLocation startDistLocation) |
Sets the start dist location Created in NX6.0.0. | |
void | SetTranslateCsys (NXOpen::CoordinateSystem *translateCsys) |
Sets the coordinate system that a point is to be translated about. | |
void | SetTranslateXDistance (const NXString &transXDistStr) |
Sets the tran x dist Created in NX6.0.0. | |
void | SetTranslateXDistance (const char *transXDistStr) |
Sets the tran x dist Created in NX6.0.0. | |
void | SetTranslateYDistance (const NXString &transYDistStr) |
Sets the trans y dist Created in NX6.0.0. | |
void | SetTranslateYDistance (const char *transYDistStr) |
Sets the trans y dist Created in NX6.0.0. | |
void | SetTranslateZDistance (const NXString &transZDistStr) |
Sets the translate distance for weld points in z axis direction. | |
void | SetTranslateZDistance (const char *transZDistStr) |
Sets the translate distance for weld points in z axis direction. | |
void | SetWeldType (NXOpen::Weld::WeldFeatureSetType curWeldType) |
Sets the weld type. | |
bool | ShowThroughAssemblyState () |
Returns the through assy coordinate system state Created in NX6.0.0. | |
bool | ShowThroughWorkPartState () |
Returns the through work coordinate system state Created in NX6.0.0. | |
NXOpen::Weld::WeldMeasurementSizeMethod | SizeMethod () |
Returns the measurement size method. | |
NXOpen::Weld::WeldCustom | SolidType () |
Returns the output solid type. | |
NXOpen::Weld::WeldSpacingCalcMethod | SpacingCalculateMethod () |
Returns the project method type. | |
NXString | SpacingNumber () |
Returns the spacing number Created in NX6.0.0. | |
NXString | StartDistance () |
Returns the start dist Created in NX6.0.0. | |
NXOpen::Weld::WeldParasetLocation | StartDistanceLocation () |
Returns the start dist location Created in NX6.0.0. | |
NXOpen::CoordinateSystem * | TranslateCsys () |
Returns the coordinate system that a point is to be translated about. | |
NXString | TranslateXDistance () |
Returns the tran x dist Created in NX6.0.0. | |
NXString | TranslateYDistance () |
Returns the trans y dist Created in NX6.0.0. | |
NXString | TranslateZDistance () |
Returns the translate distance for weld points in z axis direction. | |
void | UpdateCsys (const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &matrix) |
Update coordinate system for selected points Created in NX6.0.0. | |
void | UpdateFirstSection (NXOpen::Section *totalSection) |
Update first section Created in NX6.0.0. | |
void | UpdateSecondSection (NXOpen::Section *totalSection) |
Update second section Created in NX6.0.0. | |
NXOpen::Weld::WeldFeatureSetType | WeldType () |
Returns the weld type. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Spot Weld feature <br> To create a new instance of this class, use @link Weld::WeldManager::CreateWeldPointBuilder Weld::WeldManager::CreateWeldPointBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ConnectingOnlyOnePart |
false |
CreationDirection |
Default |
CsysAssemblyState |
false |
CsysWorkPartState |
false |
CustomCylinderAbove |
0.5 (millimeters part), 0.02 (inches part) |
CustomRadius |
0.5 (millimeters part), 0.02 (inches part) |
CustomTotalCylinderLength |
1 (millimeters part), 0.04 (inches part) |
DatumFirstReferenceDirection |
X |
DatumMajorDirection |
X |
DatumSecondReferenceDirection |
X |
DistanceTolerance |
0.025 (millimeters part), 0.001 (inches part) |
EndDistance |
6.25 (millimeters part), 0.25 (inches part) |
EndDistanceLocation |
Length |
ExtendMethod |
Boundary |
Location |
AlongGuideEdge |
MeasurementDefaultHeight |
10 (millimeters part), 0.4 (inches part) |
MeasurementDefaultWidth |
3 (millimeters part), 0.12 (inches part) |
MeasurementHoleSize |
0.0 (millimeters part), 0.0 (inches part) |
MeasurementSlotLength |
0.0 (millimeters part), 0.0 (inches part) |
MeasurementSlotWidth |
0.0 (millimeters part), 0.0 (inches part) |
MeasurementStudSize |
0.0 (millimeters part), 0 (inches part) |
MirrorByType |
false |
NumberConnectedPanels |
2 |
OffsetDistance |
6.25 (millimeters part), 0.25 (inches part) |
OutputType |
Fixed |
PointMethod |
Multiple |
PointsGuideDistance |
0.0 (millimeters part), 0.0 (inches part) |
ProjectionMethod |
None |
ReferenceSheetSpacingMethod |
Distance |
ReferenceSheetType |
Overlap |
ShowThroughAssemblyState |
false |
ShowThroughWorkPartState |
false |
SizeMethod |
Auto |
SolidType |
SolidNone |
SpacingCalculateMethod |
Arclength |
SpacingNumber |
12.5 (millimeters part), 0.5 (inches part) |
StartDistance |
6.25 (millimeters part), 0.25 (inches part) |
StartDistanceLocation |
Length |
TranslateXDistance |
0 (millimeters part), 0 (inches part) |
TranslateYDistance |
0 (millimeters part), 0 (inches part) |
TranslateZDistance |
0 (millimeters part), 0 (inches part) |
WeldType |
ResistanceSpot |
Created in NX6.0.0.
void NXOpen::Weld::WeldPointBuilder::CalculateDatumMeasurementDefaultDirection | ( | ) |
Calculate location and default direction of datum and measurement, need to set the current point prior to calling this method
Created in NX7.5.5.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::CalculateWeldPoints | ( | std::vector< NXOpen::Point3d > & | points | ) |
To calculate all weld points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
points | weld points |
void NXOpen::Weld::WeldPointBuilder::ClearFaceSets | ( | ) |
The clear for all existed facesets
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::CommitFaceSets | ( | ) |
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::CommitReferenceSheets | ( | NXOpen::Weld::WeldOverlapStatus | createStatus | ) |
The commit for reference sheets
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
createStatus | create status |
void NXOpen::Weld::WeldPointBuilder::CommitSection | ( | NXOpen::Section * | path | ) |
Commit created section
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
path | the created path |
bool NXOpen::Weld::WeldPointBuilder::ConnectingOnlyOnePart | ( | ) |
Returns
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::CreateCenterLine | ( | ) |
To create center line.
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::CreateOffsetCurve | ( | ) |
Create offset curve.
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::CreateSectionPlaneCurves | ( | ) |
Create section curve.
void NXOpen::Weld::WeldPointBuilder::CreateSingleWeldPoint | ( | const NXOpen::Point3d & | pointCoord | ) |
The creation for single weld point
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
pointCoord | point coordinate |
NXOpen::Weld::WeldCreationDirection NXOpen::Weld::WeldPointBuilder::CreationDirection | ( | ) |
Returns the creation direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldPointBuilder::CsysAssemblyState | ( | ) |
Returns the assy coordinate system state
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldPointBuilder::CsysWorkPartState | ( | ) |
Returns the work coordinate systemstate
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::CustomCylinderAbove | ( | ) |
Returns the distance the custom cylinder should be created above the weld point
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::CustomRadius | ( | ) |
Returns the radius to create the sphere, cylinder, or cone with
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::CustomTotalCylinderLength | ( | ) |
Returns the total length of the cylinder to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldDatumControlDirection NXOpen::Weld::WeldPointBuilder::DatumFirstReferenceDirection | ( | ) |
Returns the datum reference direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldDatumControlDirection NXOpen::Weld::WeldPointBuilder::DatumMajorDirection | ( | ) |
Returns the datum major direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldDatumControlDirection NXOpen::Weld::WeldPointBuilder::DatumSecondReferenceDirection | ( | ) |
Returns the datum reference direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance for the weld point
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXString NXOpen::Weld::WeldPointBuilder::EndDistance | ( | ) |
Returns the end dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldParasetLocation NXOpen::Weld::WeldPointBuilder::EndDistanceLocation | ( | ) |
Returns the end dist location
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldPointExtendMethod NXOpen::Weld::WeldPointBuilder::ExtendMethod | ( | ) |
Returns the offset curve extend method.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::FlipZAxis | ( | ) |
Flip the z axis
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::GetCsys | ( | NXOpen::Point3d * | origin, |
NXOpen::Matrix3x3 * | matrix | ||
) |
Get coordinate system for point
Created in NX8.0.0.
License requirements : ugweld ("UG WELD")
origin | origin point |
matrix | rotate matrix |
int NXOpen::Weld::WeldPointBuilder::GetCurrentReferenceSheet | ( | ) |
The current refsheet.
void NXOpen::Weld::WeldPointBuilder::GetFaceSet | ( | int | facesetIndex, |
std::vector< NXOpen::DisplayableObject * > & | objects, | ||
std::vector< NXOpen::Features::Feature * > & | frecs | ||
) |
Gets the user selected faces for the indicated face set
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
facesetIndex | Which faceset to get the faces for. 0 is the first |
objects | the face set reference objects |
frecs | the face set wave linked frecs |
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::GetFirstSection | ( | ) |
Get the first section.
For guide curves method, this section contains curves that used to create weld path, For centerline method, this section contians the first group of curves used to create centerline
void NXOpen::Weld::WeldPointBuilder::GetMirrorTranslateReferenceObjects | ( | std::vector< NXOpen::DisplayableObject * > & | objects | ) |
Get mirror translate reference objects
Created in NX8.0.0.
License requirements : ugweld ("UG WELD")
objects | the mirror translate reference objects |
int NXOpen::Weld::WeldPointBuilder::GetNumFaceSets | ( | ) |
Get the amount of face sets.
NXOpen::Features::Feature* NXOpen::Weld::WeldPointBuilder::GetReferenceSheets | ( | ) |
The refernence sheet feature.
NXOpen::Section* NXOpen::Weld::WeldPointBuilder::GetSecondSection | ( | ) |
Get the second section.
this method for centerline method weld only, this section contains the second group of curves used to create centerline
NXOpen::Weld::WeldPointLocation NXOpen::Weld::WeldPointBuilder::Location | ( | ) |
Returns the processing method to use for generating weld points along reference section(s)
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::MeasurementDefaultHeight | ( | ) |
Returns the default height of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::MeasurementDefaultWidth | ( | ) |
Returns the default width of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::MeasurementHoleSize | ( | ) |
Returns the hole_size of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::MeasurementSlotLength | ( | ) |
Returns the slot height of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::MeasurementSlotWidth | ( | ) |
Returns the slot width of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
double NXOpen::Weld::WeldPointBuilder::MeasurementStudSize | ( | ) |
Returns the stud size of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldPointBuilder::MirrorByType | ( | ) |
Returns the mirror by type
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Plane* NXOpen::Weld::WeldPointBuilder::MirrorPlane | ( | ) |
Returns the plane that a point is to be mirrored about.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::MovePoint | ( | const NXOpen::Point3d & | origin | ) |
Move selected points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
origin | the new position to be located |
int NXOpen::Weld::WeldPointBuilder::NumberConnectedPanels | ( | ) |
Returns the num connected panels.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXString NXOpen::Weld::WeldPointBuilder::OffsetDistance | ( | ) |
Returns the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::OutputType NXOpen::Weld::WeldPointBuilder::OutputType | ( | ) |
Returns the output type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldPointMethod NXOpen::Weld::WeldPointBuilder::PointMethod | ( | ) |
double NXOpen::Weld::WeldPointBuilder::PointsGuideDistance | ( | ) |
Returns the distance percentage from the start of the curve where the weld point should be.
0.0 is the start of the curve 100.0 is the end of the curve.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Vector3d NXOpen::Weld::WeldPointBuilder::ProjectDirection | ( | ) |
Returns the project direction
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Direction* NXOpen::Weld::WeldPointBuilder::ProjectDirectionObject | ( | ) |
Returns the project direction NXOpen object
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldProjectionMethod NXOpen::Weld::WeldPointBuilder::ProjectionMethod | ( | ) |
Returns the project method type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::ProjectPoints | ( | ) |
Project selected points along the specified vector to reference sheets
Created in NX8.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldPointSpacingMethod NXOpen::Weld::WeldPointBuilder::ReferenceSheetSpacingMethod | ( | ) |
Returns the refsheet spacing method
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldPointReferenceSheetType NXOpen::Weld::WeldPointBuilder::ReferenceSheetType | ( | ) |
Returns the type of sheet to create to place weld points on.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::RemoveCharacteristics | ( | const NXString & | attrTitle, |
NXOpen::Weld::WeldAttribType | attrType, | ||
const NXString & | attrValue | ||
) |
Remove characteristics for selected points, need to set the current point prior to calling this method
Created in NX7.5.5.
License requirements : ugweld ("UG WELD")
attrTitle | attribute title NOTE: The full Unicode character set is not supported for this parameter. |
attrType | attribute type |
attrValue | attribute value NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::WeldPointBuilder::RemoveCharacteristics | ( | const char * | attrTitle, |
NXOpen::Weld::WeldAttribType | attrType, | ||
const char * | attrValue | ||
) |
Remove characteristics for selected points, need to set the current point prior to calling this method
Created in NX7.5.5.
License requirements : ugweld ("UG WELD")
attrTitle | attribute title NOTE: The full Unicode character set is not supported for this parameter. |
attrType | attribute type |
attrValue | attribute value NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::WeldPointBuilder::RemoveWeldPoint | ( | ) |
Remove the current selected point, need to set the current point prior to calling this method
Created in NX7.5.5.
License requirements : ugweld ("UG WELD")
NXOpen::Plane* NXOpen::Weld::WeldPointBuilder::SectionPlaneEntity | ( | ) |
Returns
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
int NXOpen::Weld::WeldPointBuilder::SequenceNumber | ( | ) |
Returns the sequence number for the weld point feature.
Each Weld point feature contains a single point. If multiple Weld points are to be created, you must specify the sequence of the point you want. For example if you are expecting 3 points to be created. You must create 3 weld point features. The features will have sequence numbers 0,1 and 2.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::SetCharacteristics | ( | const NXString & | attrTitle, |
NXOpen::Weld::WeldAttribType | attrType, | ||
const NXString & | attrValue | ||
) |
Set or edit characteristics for selected points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
attrTitle | attribute title NOTE: The full Unicode character set is not supported for this parameter. |
attrType | attribute type |
attrValue | attribute value NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::WeldPointBuilder::SetCharacteristics | ( | const char * | attrTitle, |
NXOpen::Weld::WeldAttribType | attrType, | ||
const char * | attrValue | ||
) |
Set or edit characteristics for selected points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
attrTitle | attribute title NOTE: The full Unicode character set is not supported for this parameter. |
attrType | attribute type |
attrValue | attribute value NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Weld::WeldPointBuilder::SetConnectingOnlyOnePart | ( | bool | connectingOnlyOnePart | ) |
Sets
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
connectingOnlyOnePart | connecting only one part |
void NXOpen::Weld::WeldPointBuilder::SetCreationDirection | ( | NXOpen::Weld::WeldCreationDirection | creationDirection | ) |
Sets the creation direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
creationDirection | creation direction type |
void NXOpen::Weld::WeldPointBuilder::SetCsysAssemblyState | ( | bool | assyCsysState | ) |
Sets the assy coordinate system state
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
assyCsysState | assy csys state |
void NXOpen::Weld::WeldPointBuilder::SetCsysWorkPartState | ( | bool | workCsysState | ) |
Sets the work coordinate systemstate
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
workCsysState | workcsysstate |
void NXOpen::Weld::WeldPointBuilder::SetCurrentReferenceSheet | ( | int | currentRefSheet | ) |
Set current refsheet
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
currentRefSheet | current refsheet |
void NXOpen::Weld::WeldPointBuilder::SetCustomCylinderAbove | ( | double | customCylinderAbove | ) |
Sets the distance the custom cylinder should be created above the weld point
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
customCylinderAbove | custom cylinder above |
void NXOpen::Weld::WeldPointBuilder::SetCustomRadius | ( | double | customRadius | ) |
Sets the radius to create the sphere, cylinder, or cone with
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
customRadius | custom radius |
void NXOpen::Weld::WeldPointBuilder::SetCustomTotalCylinderLength | ( | double | totalCylinderLength | ) |
Sets the total length of the cylinder to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
totalCylinderLength | total cylinder length |
void NXOpen::Weld::WeldPointBuilder::SetDatumFirstReferenceDirection | ( | NXOpen::Weld::WeldDatumControlDirection | datumRefDir | ) |
Sets the datum reference direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
datumRefDir | datum ref dir |
void NXOpen::Weld::WeldPointBuilder::SetDatumMajorDirection | ( | NXOpen::Weld::WeldDatumControlDirection | datumMajorDir | ) |
Sets the datum major direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
datumMajorDir | datum major dir |
void NXOpen::Weld::WeldPointBuilder::SetDatumSecondReferenceDirection | ( | NXOpen::Weld::WeldDatumControlDirection | datumRefDir | ) |
Sets the datum reference direction type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
datumRefDir | datum ref dir |
void NXOpen::Weld::WeldPointBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance for the weld point
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
distanceTolerance | distance tolerance |
void NXOpen::Weld::WeldPointBuilder::SetEndDistance | ( | const NXString & | endDistStr | ) |
Sets the end dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
endDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetEndDistance | ( | const char * | endDistStr | ) |
Sets the end dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
endDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetEndDistanceLocation | ( | NXOpen::Weld::WeldParasetLocation | endDistLocation | ) |
Sets the end dist location
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
endDistLocation | end dist location |
void NXOpen::Weld::WeldPointBuilder::SetExtendMethod | ( | NXOpen::Weld::WeldPointExtendMethod | extendMethod | ) |
Sets the offset curve extend method.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
extendMethod | extend method |
void NXOpen::Weld::WeldPointBuilder::SetFaceSet | ( | NXOpen::Weld::WeldFacesetIndex | facesetIndex, |
const std::vector< NXOpen::DisplayableObject * > & | objects | ||
) |
Sets the user selected faces for the indicated face set
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
facesetIndex | Which faceset to get the faces for. 0 is the first |
objects | the face set reference objects |
void NXOpen::Weld::WeldPointBuilder::SetFirstSection | ( | NXOpen::Section * | section | ) |
The commit for first section
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
section | the section from uicomp |
void NXOpen::Weld::WeldPointBuilder::SetLocation | ( | NXOpen::Weld::WeldPointLocation | location | ) |
Sets the processing method to use for generating weld points along reference section(s)
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
location | location |
void NXOpen::Weld::WeldPointBuilder::SetMeasurementDefaultHeight | ( | double | measurementDefaultHeight | ) |
Sets the default height of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
measurementDefaultHeight | measurement default height |
void NXOpen::Weld::WeldPointBuilder::SetMeasurementDefaultWidth | ( | double | measurementDefaultWidth | ) |
Sets the default width of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
measurementDefaultWidth | measurement default width |
void NXOpen::Weld::WeldPointBuilder::SetMeasurementHoleSize | ( | double | holeSize | ) |
Sets the hole_size of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
holeSize | hole size |
void NXOpen::Weld::WeldPointBuilder::SetMeasurementSlotLength | ( | double | slotLength | ) |
Sets the slot height of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
slotLength | slot length |
void NXOpen::Weld::WeldPointBuilder::SetMeasurementSlotWidth | ( | double | slotWidth | ) |
Sets the slot width of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
slotWidth | slot width |
void NXOpen::Weld::WeldPointBuilder::SetMeasurementStudSize | ( | double | studSize | ) |
Sets the stud size of the object for measurement to be created.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
studSize | stud size |
void NXOpen::Weld::WeldPointBuilder::SetMirrorByType | ( | bool | mirrorByType | ) |
Sets the mirror by type
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
mirrorByType | mirror by type |
void NXOpen::Weld::WeldPointBuilder::SetMirrorPlane | ( | NXOpen::Plane * | mirrorPlane | ) |
Sets the plane that a point is to be mirrored about.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
mirrorPlane | mirror plane |
void NXOpen::Weld::WeldPointBuilder::SetMirrorTranslateReferenceObjects | ( | const std::vector< NXOpen::TaggedObject * > & | refs | ) |
Add or remove mirror translate reference objects
Created in NX7.5.5.
License requirements : ugweld ("UG WELD")
refs | the mirror translate reference objects to be added |
void NXOpen::Weld::WeldPointBuilder::SetNumberConnectedPanels | ( | int | numConnectedPanels | ) |
Sets the num connected panels.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
numConnectedPanels | num connected panels |
void NXOpen::Weld::WeldPointBuilder::SetOffsetDistance | ( | const NXString & | offsetDistance | ) |
Sets the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
offsetDistance | offset distance |
void NXOpen::Weld::WeldPointBuilder::SetOffsetDistance | ( | const char * | offsetDistance | ) |
Sets the offset distance from edges in guide_collector1 to place weld points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
offsetDistance | offset distance |
void NXOpen::Weld::WeldPointBuilder::SetOutputType | ( | NXOpen::Weld::OutputType | outputType | ) |
Sets the output type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
outputType | output type |
void NXOpen::Weld::WeldPointBuilder::SetPoint | ( | int | index | ) |
Set the selected point
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
index | point index |
void NXOpen::Weld::WeldPointBuilder::SetPointMethod | ( | NXOpen::Weld::WeldPointMethod | ptMethod | ) |
void NXOpen::Weld::WeldPointBuilder::SetPointsGuideDistance | ( | double | pointsGuideDist | ) |
Sets the distance percentage from the start of the curve where the weld point should be.
0.0 is the start of the curve 100.0 is the end of the curve.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
pointsGuideDist | points guide dist |
void NXOpen::Weld::WeldPointBuilder::SetProjectDirection | ( | const NXOpen::Vector3d & | direction | ) |
Sets the project direction
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
direction | Project direction |
void NXOpen::Weld::WeldPointBuilder::SetProjectDirectionObject | ( | NXOpen::Direction * | direction | ) |
Sets the project direction NXOpen object
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
direction | Project direction |
void NXOpen::Weld::WeldPointBuilder::SetProjectionMethod | ( | NXOpen::Weld::WeldProjectionMethod | projMethod | ) |
Sets the project method type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
projMethod | proj method |
void NXOpen::Weld::WeldPointBuilder::SetReferenceSheetSpacingMethod | ( | NXOpen::Weld::WeldPointSpacingMethod | spacingMethod | ) |
Sets the refsheet spacing method
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
spacingMethod | spacing method |
void NXOpen::Weld::WeldPointBuilder::SetReferenceSheetType | ( | NXOpen::Weld::WeldPointReferenceSheetType | refSheetType | ) |
Sets the type of sheet to create to place weld points on.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
refSheetType | ref sheet type |
void NXOpen::Weld::WeldPointBuilder::SetSecondSection | ( | NXOpen::Section * | section | ) |
Create second section
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
section | the section from uicomp |
void NXOpen::Weld::WeldPointBuilder::SetSectionPlaneEntity | ( | NXOpen::Plane * | plane | ) |
Sets
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
plane | plane |
void NXOpen::Weld::WeldPointBuilder::SetSelectionType | ( | NXOpen::Weld::WeldSelectionType | selectionType | ) |
Set the selection type
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
selectionType | selection type |
void NXOpen::Weld::WeldPointBuilder::SetSequenceNumber | ( | int | sequenceNumber | ) |
Sets the sequence number for the weld point feature.
Each Weld point feature contains a single point. If multiple Weld points are to be created, you must specify the sequence of the point you want. For example if you are expecting 3 points to be created. You must create 3 weld point features. The features will have sequence numbers 0,1 and 2.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
sequenceNumber | sequence number |
void NXOpen::Weld::WeldPointBuilder::SetShowThroughAssemblyState | ( | bool | thruAssyState | ) |
Sets the through assy coordinate system state
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
thruAssyState | thru assy state |
void NXOpen::Weld::WeldPointBuilder::SetShowThroughWorkPartState | ( | bool | thruWorkState | ) |
Sets the through work coordinate system state
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
thruWorkState | thru work state |
void NXOpen::Weld::WeldPointBuilder::SetSizeMethod | ( | NXOpen::Weld::WeldMeasurementSizeMethod | sizeMethod | ) |
Sets the measurement size method.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
sizeMethod | size method |
void NXOpen::Weld::WeldPointBuilder::SetSolidType | ( | NXOpen::Weld::WeldCustom | solidType | ) |
Sets the output solid type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
solidType | solid type |
void NXOpen::Weld::WeldPointBuilder::SetSpacingCalculateMethod | ( | NXOpen::Weld::WeldSpacingCalcMethod | spacingCalcMethod | ) |
Sets the project method type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
spacingCalcMethod | spacing calc method |
void NXOpen::Weld::WeldPointBuilder::SetSpacingNumber | ( | const NXString & | spacingOrNumberStr | ) |
Sets the spacing number
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
spacingOrNumberStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetSpacingNumber | ( | const char * | spacingOrNumberStr | ) |
Sets the spacing number
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
spacingOrNumberStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetStartDistance | ( | const NXString & | startDistStr | ) |
Sets the start dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
startDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetStartDistance | ( | const char * | startDistStr | ) |
Sets the start dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
startDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetStartDistanceLocation | ( | NXOpen::Weld::WeldParasetLocation | startDistLocation | ) |
Sets the start dist location
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
startDistLocation | start distance location |
void NXOpen::Weld::WeldPointBuilder::SetTranslateCsys | ( | NXOpen::CoordinateSystem * | translateCsys | ) |
Sets the coordinate system that a point is to be translated about.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
translateCsys | translate csys |
void NXOpen::Weld::WeldPointBuilder::SetTranslateXDistance | ( | const NXString & | transXDistStr | ) |
Sets the tran x dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
transXDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetTranslateXDistance | ( | const char * | transXDistStr | ) |
Sets the tran x dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
transXDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetTranslateYDistance | ( | const NXString & | transYDistStr | ) |
Sets the trans y dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
transYDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetTranslateYDistance | ( | const char * | transYDistStr | ) |
Sets the trans y dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
transYDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetTranslateZDistance | ( | const NXString & | transZDistStr | ) |
Sets the translate distance for weld points in z axis direction.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
transZDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetTranslateZDistance | ( | const char * | transZDistStr | ) |
Sets the translate distance for weld points in z axis direction.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
transZDistStr | expression string |
void NXOpen::Weld::WeldPointBuilder::SetWeldType | ( | NXOpen::Weld::WeldFeatureSetType | curWeldType | ) |
Sets the weld type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
curWeldType | cur weld type |
bool NXOpen::Weld::WeldPointBuilder::ShowThroughAssemblyState | ( | ) |
Returns the through assy coordinate system state
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
bool NXOpen::Weld::WeldPointBuilder::ShowThroughWorkPartState | ( | ) |
Returns the through work coordinate system state
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldMeasurementSizeMethod NXOpen::Weld::WeldPointBuilder::SizeMethod | ( | ) |
Returns the measurement size method.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldCustom NXOpen::Weld::WeldPointBuilder::SolidType | ( | ) |
Returns the output solid type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldSpacingCalcMethod NXOpen::Weld::WeldPointBuilder::SpacingCalculateMethod | ( | ) |
Returns the project method type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXString NXOpen::Weld::WeldPointBuilder::SpacingNumber | ( | ) |
Returns the spacing number
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXString NXOpen::Weld::WeldPointBuilder::StartDistance | ( | ) |
Returns the start dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::Weld::WeldParasetLocation NXOpen::Weld::WeldPointBuilder::StartDistanceLocation | ( | ) |
Returns the start dist location
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXOpen::CoordinateSystem* NXOpen::Weld::WeldPointBuilder::TranslateCsys | ( | ) |
Returns the coordinate system that a point is to be translated about.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXString NXOpen::Weld::WeldPointBuilder::TranslateXDistance | ( | ) |
Returns the tran x dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXString NXOpen::Weld::WeldPointBuilder::TranslateYDistance | ( | ) |
Returns the trans y dist
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
NXString NXOpen::Weld::WeldPointBuilder::TranslateZDistance | ( | ) |
Returns the translate distance for weld points in z axis direction.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
void NXOpen::Weld::WeldPointBuilder::UpdateCsys | ( | const NXOpen::Point3d & | origin, |
const NXOpen::Matrix3x3 & | matrix | ||
) |
Update coordinate system for selected points
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
origin | origin point |
matrix | rotate matrix |
void NXOpen::Weld::WeldPointBuilder::UpdateFirstSection | ( | NXOpen::Section * | totalSection | ) |
Update first section
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
totalSection | the total section |
void NXOpen::Weld::WeldPointBuilder::UpdateSecondSection | ( | NXOpen::Section * | totalSection | ) |
Update second section
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")
totalSection | the total section |
NXOpen::Weld::WeldFeatureSetType NXOpen::Weld::WeldPointBuilder::WeldType | ( | ) |
Returns the weld type.
Created in NX6.0.0.
License requirements : ugweld ("UG WELD")